Как исправить ошибку Python при сборе telegram-cli?

При попытке собрать файл командой
./configure
в ОС Ubuntu 14.04
выходит ошибка:
results of the Python check:
    Binary:      python
    Library:     no
    Include Dir: no
configure: error: No supported python lib version found. Try --disable-python
  • Вопрос задан
  • 751 просмотр
Решения вопроса 2
@anelyubin
Я подозреваю, что ещё потребуется:
sudo apt-get install python-dev
Ответ написан
Комментировать
sim3x
@sim3x
On Ubuntu/Debian use:

sudo apt-get install libreadline-dev libconfig-dev libssl-dev lua5.2 liblua5.2-dev libevent-dev libjansson-dev libpython-dev make
Ответ написан
Комментировать
Пригласить эксперта
Ответы на вопрос 1
grigruss
@grigruss
Пока не задал ни одного вопроса... только отвечаю.
Ну вобще то в описании все понятно. Нет библиотек, не указана папка include, нет поддерживаемой версии python.
Вывод - установить последний python:
sudo apt-get install python
либо так:
./configure --disable-python
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы